## ros-dashing-dummy-map-server 0.7.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(dummy_map_server)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rmw REQUIRED)

add_executable(dummy_map_server src/dummy_map_server.cpp)
ament_target_dependencies(dummy_map_server
  "rclcpp"
  "nav_msgs"
)

install(TARGETS dummy_map_server
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-dashing-dummy-map-server (0.7.9-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 11 Oct 2019 21:46:48 -0000

ros-dashing-dummy-map-server (0.7.6-1bionic) bionic; urgency=high

  * Fix memory leak in the dummy robot examples. (#361 <https://github.com/ros2/demos/issues/361>)
  * Contributors: Chris Lalancette

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-dashing-dummy-map-server (0.7.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-dashing-dummy-map-server (0.7.4-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-dummy-map-server (0.7.3-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 10 May 2019 07:00:00 -0000

ros-dashing-dummy-map-server (0.7.2-1bionic) bionic; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Contributors: William Woodall, ivanpauno

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-dummy-map-server (0.7.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-dashing-dummy-map-server (0.7.0-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-dashing-dummy-map-server (0.6.2-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 15 Jan 2019 08:00:00 -0000

ros-dashing-dummy-map-server (0.6.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-dashing-dummy-map-server (0.6.0-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-dashing-dummy-map-server (0.5.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-dashing-dummy-map-server (0.5.0-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

=== debian/control ===
Source: ros-dashing-dummy-map-server
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-nav-msgs, ros-dashing-rclcpp, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-dummy-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-nav-msgs, ros-dashing-rclcpp, ros-dashing-ros-workspace
Description: dummy map server node

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-dummy-map-server//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
